Log4j 1.2.8

## org.apache.log4j.spi
Interface ErrorCode

public interface ErrorCode

This interface defines commonly encoutered error codes.

Since:
  0.9.0
Author:
  Ceki Gülcü

Field Summary
`static int` `ADDRESS_PARSE_FAILURE`
`static int` `CLOSE_FAILURE`
`static int` `FILE_OPEN_FAILURE`
`static int` `FLUSH_FAILURE`
`static int` `GENERIC_FAILURE`
`static int` `MISSING_LAYOUT`
`static int` `WRITE_FAILURE`

Field Detail

### GENERIC_FAILURE

    public static final int GENERIC_FAILURE

### WRITE_FAILURE

    public static final int WRITE_FAILURE

### FLUSH_FAILURE

    public static final int FLUSH_FAILURE

### CLOSE_FAILURE

    public static final int CLOSE_FAILURE

### FILE_OPEN_FAILURE

    public static final int FILE_OPEN_FAILURE

### MISSING_LAYOUT

    public static final int MISSING_LAYOUT

### ADDRESS_PARSE_FAILURE

    public static final int ADDRESS_PARSE_FAILURE

Log4j 1.2.8

Copyright 2000-2002 Apache Software Foundation.